0

To upgrade to fedora 31, in a while after executing command dnf update,

I met power loss. After rebooting, I tried dnf update again.

there come out dnf error with this message as below:

Traceback (most recent call last): File "/usr/lib64/python3.7/site-packages/libdnf/conf.py", line 14, in swig_import_helper return importlib.import_module(mname) File "/usr/lib64/python3.7/importlib/init.py", line 127, in import_module return _bootstrap._gcd_import(name[level:], package, level) File "", line 1006, in _gcd_import File "", line 983, in _find_and_load File "", line 967, in _find_and_load_unlocked File "", line 670, in _load_unlocked
File "", line 583, in module_from_spec
File "", line 1043, in create_module File "", line 219, in _call_with_frames_removed ImportError: /lib64/libglib-2.0.so.0: file too short

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/usr/bin/dnf", line 57, in from dnf.cli import main File "/usr/lib/python3.7/site-packages/dnf/init.py", line 30, in import dnf.base File "/usr/lib/python3.7/site-packages/dnf/base.py", line 29, in import libdnf.transaction File "/usr/lib64/python3.7/site-packages/libdnf/init.py", line 4, in from . import conf File "/usr/lib64/python3.7/site-packages/libdnf/conf.py", line 17, in _conf = swig_import_helper() File "/usr/lib64/python3.7/site-packages/libdnf/conf.py", line 16, in swig_import_helper return importlib.import_module('_conf') File "/usr/lib64/python3.7/importlib/init.py", line 127, in import_module return _bootstrap._gcd_import(name[level:], package, level) ModuleNotFoundError: No module named '_conf'

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.